how do i merge three hollow shells to form a solid

Hello, I have created three TopoDS_Shapes with BRepOffsetAPI_ThruSections.

I used gp_Pnts to create geom_beziers for the profiles, and the I've entered the same values for the points I wanted to be shared between these surfaces, but not the same actual points.

these three surfaces are connected to form a body with volume - how do i make it a solid so that when i save it to STL the normals would point to right direction, and all the gaps and intersecting faces i got right now would get fixed?

Bearloga's picture

Take a look at Sewing algorithm (it seems to be located in BRepBuilderAPI package now).

fargoth's picture

I've tried it, but it didn't make a difference if i used it to make the shape...
I added the three surfaces, used Perform() and got the shape with Generated(), but it was the same shape i got with the compound builder... the STL of this shape has gaps, overlapping faces and normals pointing in wrong directions, even though my surfaces were created using points with the same position (so that there would be adjacent faces)...

Bearloga's picture

Which class do you mean having the method Generated()? Sewing has no such method. Its method for getting result is SewedShape().
Try to increase sewing tolerance, so that it covered the gaps between faces.